Linux anchor 4.4.0-210-generic #242-Ubuntu SMP Fri Apr 16 09:57:56 UTC 2021 x86_64
Apache/2.4.18 (Ubuntu)
Server IP : 10.10.100.4 & Your IP : 216.73.217.150
Domains :
Cant Read [ /etc/named.conf ]
User : www-data
Terminal
Auto Root
Create File
Create Folder
Localroot Suggester
Backdoor Destroyer
Readme
/
usr /
sbin /
Delete
Unzip
Name
Size
Permission
Date
Action
a2disconf
15.06
KB
-rwxr-xr-x
2020-07-16 00:29
a2dismod
15.06
KB
-rwxr-xr-x
2020-07-16 00:29
a2dissite
15.06
KB
-rwxr-xr-x
2020-07-16 00:29
a2enconf
15.06
KB
-rwxr-xr-x
2020-07-16 00:29
a2enmod
15.06
KB
-rwxr-xr-x
2020-07-16 00:29
a2ensite
15.06
KB
-rwxr-xr-x
2020-07-16 00:29
a2query
9.64
KB
-rwxr-xr-x
2020-08-13 03:35
aa-exec
22.16
KB
-rwxr-xr-x
2023-06-29 13:30
aa-remove-unknown
2.86
KB
-rwxr-xr-x
2023-06-29 13:30
aa-status
7.11
KB
-rwxr-xr-x
2023-06-29 13:30
accessdb
10.23
KB
-rwxr-xr-x
2015-11-07 00:14
acpid
46.98
KB
-rwxr-xr-x
2016-04-09 00:36
add-shell
695
B
-rwxr-xr-x
2016-01-26 19:17
addgnupghome
3.01
KB
-rwxr-xr-x
2018-06-14 22:06
addgroup
36.4
KB
-rwxr-xr-x
2015-07-02 22:11
adduser
36.4
KB
-rwxr-xr-x
2015-07-02 22:11
apache2
647.03
KB
-rwxr-xr-x
2020-08-13 03:36
apache2ctl
6.25
KB
-rwxr-xr-x
2020-07-16 00:29
apachectl
6.25
KB
-rwxr-xr-x
2020-07-16 00:29
apparmor_status
7.11
KB
-rwxr-xr-x
2023-06-29 13:30
applygnupgdefaults
2.16
KB
-rwxr-xr-x
2018-06-14 22:06
arp
54.09
KB
-rwxr-xr-x
2014-06-30 15:19
arpd
46.74
KB
-rwxr-xr-x
2019-04-16 14:37
atd
26.01
KB
-rwxr-xr-x
2016-01-14 23:35
bcache-super-show
14.23
KB
-rwxr-xr-x
2015-06-27 01:10
biosdecode
18.82
KB
-rwxr-xr-x
2020-02-07 17:53
check_forensic
952
B
-rwxr-xr-x
2011-04-26 17:10
chgpasswd
53.33
KB
-rwxr-xr-x
2019-03-26 20:34
chpasswd
49.43
KB
-rwxr-xr-x
2019-03-26 20:34
chroot
38.8
KB
-rwxr-xr-x
2017-03-02 19:07
cifs.idmap
14.07
KB
-rwxr-xr-x
2017-03-06 14:02
cifs.upcall
30.07
KB
-rwxr-xr-x
2017-03-06 14:02
cpgr
51.48
KB
-rwxr-xr-x
2019-03-26 20:34
cppw
51.48
KB
-rwxr-xr-x
2019-03-26 20:34
cron
43.43
KB
-rwxr-xr-x
2016-04-05 23:59
cryptdisks_start
1.11
KB
-rwxr-xr-x
2017-09-06 12:08
cryptdisks_stop
1.16
KB
-rwxr-xr-x
2017-09-06 12:08
delgroup
16.13
KB
-rwxr-xr-x
2015-07-02 22:11
deluser
16.13
KB
-rwxr-xr-x
2015-07-02 22:11
dmidecode
102.49
KB
-rwxr-xr-x
2020-02-07 17:53
dnsmasq
363.35
KB
-rwxr-xr-x
2021-04-22 15:12
dpkg-divert
135.4
KB
-rwxr-xr-x
2021-04-20 22:48
dpkg-preconfigure
3.52
KB
-rwxr-xr-x
2019-05-08 20:33
dpkg-reconfigure
4.23
KB
-rwxr-xr-x
2019-05-08 20:33
dpkg-statoverride
59.08
KB
-rwxr-xr-x
2021-04-20 22:48
e2freefrag
10.24
KB
-rwxr-xr-x
2020-01-22 15:42
e4defrag
26.53
KB
-rwxr-xr-x
2020-01-22 15:42
ephemeral-disk-warning
982
B
-rwxr-xr-x
2019-05-23 23:15
fdformat
22.57
KB
-rwxr-xr-x
2020-01-27 15:28
filefrag
14.31
KB
-rwxr-xr-x
2020-01-22 15:42
genl
46.69
KB
-rwxr-xr-x
2019-04-16 14:37
groupadd
57.42
KB
-rwxr-xr-x
2019-03-26 20:34
groupdel
53.2
KB
-rwxr-xr-x
2019-03-26 20:34
groupmod
67.7
KB
-rwxr-xr-x
2019-03-26 20:34
grpck
53.31
KB
-rwxr-xr-x
2019-03-26 20:34
grpconv
49.19
KB
-rwxr-xr-x
2019-03-26 20:34
grpunconv
49.2
KB
-rwxr-xr-x
2019-03-26 20:34
grub-bios-setup
765.98
KB
-rwxr-xr-x
2021-04-30 18:02
grub-install
964.38
KB
-rwxr-xr-x
2021-04-30 18:02
grub-macbless
753.64
KB
-rwxr-xr-x
2021-04-30 18:02
grub-mkconfig
7.85
KB
-rwxr-xr-x
2021-04-30 18:00
grub-mkdevicemap
196.29
KB
-rwxr-xr-x
2021-04-30 18:02
grub-probe
765.92
KB
-rwxr-xr-x
2021-04-30 18:02
grub-reboot
4.02
KB
-rwxr-xr-x
2021-04-30 18:00
grub-set-default
3.48
KB
-rwxr-xr-x
2021-04-30 18:00
httxt2dbm
9.96
KB
-rwxr-xr-x
2020-08-13 03:36
hv_fcopy_daemon
1.58
KB
-rwxr-xr-x
2021-04-16 13:32
hv_get_dhcp_info
1.39
KB
-rwxr-xr-x
2021-04-16 13:32
hv_get_dns_info
622
B
-rwxr-xr-x
2021-04-16 13:32
hv_kvp_daemon
1.58
KB
-rwxr-xr-x
2021-04-16 13:32
hv_set_ifconfig
7.72
KB
-rwxr-xr-x
2021-04-16 13:32
hv_vss_daemon
1.58
KB
-rwxr-xr-x
2021-04-16 13:32
iconvconfig
26.66
KB
-rwxr-xr-x
2021-04-21 20:14
install-sgmlcatalog
4.44
KB
-rwxr-xr-x
2012-12-05 15:11
invoke-rc.d
19.41
KB
-rwxr-xr-x
2016-11-29 18:28
ip6tables-apply
6.85
KB
-rwxr-xr-x
2016-02-19 16:20
iptables-apply
6.85
KB
-rwxr-xr-x
2016-02-19 16:20
irqbalance
47.3
KB
-rwxr-xr-x
2016-04-11 19:56
iscsi-iname
13.99
KB
-rwxr-xr-x
2018-12-11 21:12
iscsi_discovery
5.16
KB
-rwxr-xr-x
2013-09-12 09:01
iscsid
765.61
KB
-rwxr-xr-x
2018-12-11 21:12
iscsistart
321.29
KB
-rwxr-xr-x
2018-12-11 21:12
laptop-detect
2.53
KB
-rwxr-xr-x
2010-03-06 15:44
ldattach
26.63
KB
-rwxr-xr-x
2020-01-27 15:28
locale-gen
4.3
KB
-rwxr-xr-x
2016-04-14 20:33
logrotate
63.11
KB
-rwxr-xr-x
2017-08-10 17:16
lsvmbus
1.58
KB
-rwxr-xr-x
2021-04-16 13:32
luksformat
3.2
KB
-rwxr-xr-x
2017-09-06 12:08
make-bcache
18.35
KB
-rwxr-xr-x
2015-06-27 01:10
make-ssl-cert
3.7
KB
-rwxr-xr-x
2015-08-16 19:14
mkinitramfs
10.24
KB
-rwxr-xr-x
2019-10-07 12:53
mklost+found
10.25
KB
-rwxr-xr-x
2020-01-22 15:42
mysqld
23.52
MB
-rwxr-xr-x
2021-01-28 17:23
newusers
73.84
KB
-rwxr-xr-x
2019-03-26 20:34
nfnl_osf
14.37
KB
-rwxr-xr-x
2016-02-19 16:21
nologin
5.95
KB
-rwxr-xr-x
2019-03-26 20:34
nscd
34.92
KB
-rwxr-xr-x
2016-03-20 11:25
ntp-keygen
66.91
KB
-rwxr-xr-x
2020-01-07 16:08
ntp-wait
3.13
KB
-rwxr-xr-x
2020-01-07 16:08
ntpd
717.27
KB
-rwxr-xr-x
2020-01-07 16:08
ntpdate
75.97
KB
-rwxr-xr-x
2020-01-07 16:08
ntpdate-debian
583
B
-rwxr-xr-x
2020-01-07 16:08
ntptime
14.31
KB
-rwxr-xr-x
2020-01-07 16:08
openvpn
674.28
KB
-rwxr-xr-x
2019-05-08 15:50
overlayroot-chroot
2.45
KB
-rwxr-xr-x
2018-10-01 19:50
ownership
10.13
KB
-rwxr-xr-x
2020-02-07 17:53
pam-auth-update
19.09
KB
-rwxr-xr-x
2020-10-01 02:33
pam_getenv
2.82
KB
-rwxr-xr-x
2020-10-01 02:33
pam_timestamp_check
10.38
KB
-rwxr-xr-x
2020-10-01 02:36
paperconfig
4.07
KB
-rwxr-xr-x
2015-11-04 12:21
phpdismod
7.11
KB
-rwxr-xr-x
2021-02-22 11:45
phpenmod
7.11
KB
-rwxr-xr-x
2021-02-22 11:45
phpquery
6.24
KB
-rwxr-xr-x
2021-02-22 11:45
popcon-largest-unused
543
B
-rwxr-xr-x
2016-02-26 20:55
popularity-contest
4.56
KB
-rwxr-xr-x
2016-02-26 20:55
postalias
17.87
KB
-rwxr-xr-x
2020-07-28 23:11
postcat
13.94
KB
-rwxr-xr-x
2020-07-28 23:11
postconf
171.16
KB
-rwxr-xr-x
2020-07-28 23:11
postdrop
13.99
KB
-r-xr-sr-x
2020-07-28 23:11
postfix
13.95
KB
-rwxr-xr-x
2020-07-28 23:11
postfix-add-filter
4.9
KB
-rwxr-xr-x
2020-07-28 23:11
postfix-add-policy
3.83
KB
-rwxr-xr-x
2020-07-28 23:11
postkick
9.87
KB
-rwxr-xr-x
2020-07-28 23:11
postlock
9.87
KB
-rwxr-xr-x
2020-07-28 23:11
postlog
10.02
KB
-rwxr-xr-x
2020-07-28 23:11
postmap
17.87
KB
-rwxr-xr-x
2020-07-28 23:11
postmulti
26.26
KB
-rwxr-xr-x
2020-07-28 23:11
postqueue
17.95
KB
-r-xr-sr-x
2020-07-28 23:11
postsuper
22.2
KB
-rwxr-xr-x
2020-07-28 23:11
posttls-finger
33.95
KB
-rwxr-xr-x
2020-07-28 23:11
pwck
45.36
KB
-rwxr-xr-x
2019-03-26 20:34
pwconv
41.27
KB
-rwxr-xr-x
2019-03-26 20:34
pwunconv
36.43
KB
-rwxr-xr-x
2019-03-26 20:34
qmqp-sink
13.87
KB
-rwxr-xr-x
2020-07-28 23:11
qmqp-source
17.88
KB
-rwxr-xr-x
2020-07-28 23:11
qshape
12.55
KB
-rwxr-xr-x
2020-07-28 23:11
readprofile
14.52
KB
-rwxr-xr-x
2020-01-27 15:28
remove-shell
749
B
-rwxr-xr-x
2016-01-26 19:17
rmail
13.87
KB
-rwxr-xr-x
2020-07-28 23:11
rmt
54.95
KB
-rwxr-xr-x
2021-01-11 18:30
rmt-tar
54.95
KB
-rwxr-xr-x
2021-01-11 18:30
rsyslogd
585.28
KB
-rwxr-xr-x
2019-03-25 14:14
rtcwake
38.8
KB
-rwxr-xr-x
2020-01-27 15:28
safe_finger
10.35
KB
-rwxr-xr-x
2014-01-13 00:11
samba_kcc
10.72
KB
-rwxr-xr-x
2021-04-14 18:00
sendmail
26.02
KB
-rwxr-xr-x
2020-07-28 23:11
service
9.82
KB
-rwxr-xr-x
2016-09-12 10:57
setvesablank
10.27
KB
-rwxr-xr-x
2016-09-22 19:33
smtp-sink
30.8
KB
-rwxr-xr-x
2020-07-28 23:11
smtp-source
21.89
KB
-rwxr-xr-x
2020-07-28 23:11
spfd
17.96
KB
-r-xr-xr-x
2017-10-05 13:57
split-logfile
2.36
KB
-rwxr-xr-x
2020-08-13 03:34
sshd
772.48
KB
-rwxr-xr-x
2020-05-27 01:17
tarcat
936
B
-rwxr-xr-x
2021-01-11 18:30
tcpd
10.21
KB
-rwxr-xr-x
2014-01-13 00:11
tcpdchk
22.51
KB
-rwxr-xr-x
2014-01-13 00:11
tcpdmatch
18.42
KB
-rwxr-xr-x
2014-01-13 00:11
tcpdump
1007.6
KB
-rwxr-xr-x
2020-01-24 15:00
try-from
10.16
KB
-rwxr-xr-x
2014-01-13 00:11
tunelp
22.53
KB
-rwxr-xr-x
2020-01-27 15:28
tzconfig
106
B
-rwxr-xr-x
2016-01-21 18:04
ufw
4.4
KB
-rwxr-xr-x
2016-04-15 07:16
update-alternatives
46.61
KB
-rwxr-xr-x
2021-04-20 22:48
update-ca-certificates
5.16
KB
-rwxr-xr-x
2021-02-01 17:16
update-catalog
9.15
KB
-rwxr-xr-x
2012-12-05 15:11
update-grub
64
B
-rwxr-xr-x
2020-08-24 10:54
update-grub-gfxpayload
301
B
-rwxr-xr-x
2015-03-27 18:50
update-grub2
64
B
-rwxr-xr-x
2020-08-24 10:54
update-gsfontmap
450
B
-rwxr-xr-x
2021-01-06 20:23
update-info-dir
1.66
KB
-rwxr-xr-x
2016-03-12 10:46
update-initramfs
8.38
KB
-rwxr-xr-x
2019-10-07 12:53
update-locale
2.99
KB
-rwxr-xr-x
2016-01-27 15:17
update-mime
8.84
KB
-rwxr-xr-x
2015-10-30 16:39
update-passwd
30.41
KB
-rwxr-xr-x
2016-01-03 00:13
update-pciids
2.84
KB
-rwxr-xr-x
2019-02-11 14:13
update-rc.d
14.1
KB
-rwxr-xr-x
2016-02-29 13:24
update-usbids
1.05
KB
-rwxr-xr-x
2015-10-23 23:56
update-xmlcatalog
16.28
KB
-rwxr-xr-x
2012-11-07 22:44
upgrade-from-grub-legacy
1.49
KB
-rwxr-xr-x
2020-08-24 10:54
useradd
118.72
KB
-rwxr-xr-x
2019-03-26 20:34
userdel
81.92
KB
-rwxr-xr-x
2019-03-26 20:34
usermod
118.5
KB
-rwxr-xr-x
2019-03-26 20:34
uuidd
30.73
KB
-rwxr-xr-x
2020-01-27 15:28
validlocale
1.73
KB
-rwxr-xr-x
2016-01-27 15:17
vcstime
6.26
KB
-rwxr-xr-x
2016-09-22 19:33
vigr
55.7
KB
-rwxr-xr-x
2019-03-26 20:34
vipw
55.7
KB
-rwxr-xr-x
2019-03-26 20:34
visudo
187.89
KB
-rwxr-xr-x
2021-01-20 18:08
vpddecode
14.27
KB
-rwxr-xr-x
2020-02-07 17:53
waagent
1.48
KB
-rwxr-xr-x
2020-01-30 18:10
waagent2.0
246.41
KB
-rwxr-xr-x
2020-01-30 18:10
xfs_admin
1.35
KB
-rwxr-xr-x
2017-09-08 22:23
xfs_bmap
638
B
-rwxr-xr-x
2017-09-08 22:23
xfs_copy
335.02
KB
-rwxr-xr-x
2017-09-08 22:24
xfs_db
548.46
KB
-rwxr-xr-x
2017-09-08 22:24
xfs_estimate
10.26
KB
-rwxr-xr-x
2017-09-08 22:24
xfs_freeze
767
B
-rwxr-xr-x
2017-09-08 22:23
xfs_fsr
30.68
KB
-rwxr-xr-x
2017-09-08 22:24
xfs_growfs
323.02
KB
-rwxr-xr-x
2017-09-08 22:24
xfs_info
472
B
-rwxr-xr-x
2017-09-08 22:23
xfs_io
119.72
KB
-rwxr-xr-x
2017-09-08 22:24
xfs_logprint
351.3
KB
-rwxr-xr-x
2017-09-08 22:24
xfs_mdrestore
310.94
KB
-rwxr-xr-x
2017-09-08 22:24
xfs_metadump
747
B
-rwxr-xr-x
2017-09-08 22:23
xfs_mkfile
1007
B
-rwxr-xr-x
2017-09-08 22:23
xfs_ncheck
650
B
-rwxr-xr-x
2017-09-08 22:23
xfs_quota
82.69
KB
-rwxr-xr-x
2017-09-08 22:24
xfs_rtcp
14.34
KB
-rwxr-xr-x
2017-09-08 22:24
zerofree
10.16
KB
-rwxr-xr-x
2014-05-06 13:01
zic
50.54
KB
-rwxr-xr-x
2021-04-21 20:14
Save
Rename
#!/bin/bash # iptables-apply -- a safer way to update iptables remotely # # Usage: # iptables-apply [-hV] [-t timeout] [-w savefile] {[rulesfile]|-c [runcmd]} # # Versions: # * 1.0 Copyright 2006 Martin F. Krafft <madduck@madduck.net> # Original version # * 1.1 Copyright 2010 GW <gw.2010@tnode.com or http://gw.tnode.com/> # Added parameter -c (run command) # Added parameter -w (save successfully applied rules to file) # Major code cleanup # # Released under the terms of the Artistic Licence 2.0 # set -eu PROGNAME="${0##*/}" VERSION=1.1 ### Default settings DEF_TIMEOUT=10 MODE=0 # apply rulesfile mode # MODE=1 # run command mode case "$PROGNAME" in (*6*) SAVE=ip6tables-save RESTORE=ip6tables-restore DEF_RULESFILE="/etc/network/ip6tables.up.rules" DEF_SAVEFILE="$DEF_RULESFILE" DEF_RUNCMD="/etc/network/ip6tables.up.run" ;; (*) SAVE=iptables-save RESTORE=iptables-restore DEF_RULESFILE="/etc/network/iptables.up.rules" DEF_SAVEFILE="$DEF_RULESFILE" DEF_RUNCMD="/etc/network/iptables.up.run" ;; esac ### Functions function blurb() { cat <<-__EOF__ $PROGNAME $VERSION -- a safer way to update iptables remotely __EOF__ } function copyright() { cat <<-__EOF__ $PROGNAME has been published under the terms of the Artistic Licence 2.0. Original version - Copyright 2006 Martin F. Krafft <madduck@madduck.net>. Version 1.1 - Copyright 2010 GW <gw.2010@tnode.com or http://gw.tnode.com/>. __EOF__ } function about() { blurb echo copyright } function usage() { blurb echo cat <<-__EOF__ Usage: $PROGNAME [-hV] [-t timeout] [-w savefile] {[rulesfile]|-c [runcmd]} The script will try to apply a new rulesfile (as output by iptables-save, read by iptables-restore) or run a command to configure iptables and then prompt the user whether the changes are okay. If the new iptables rules cut the existing connection, the user will not be able to answer affirmatively. In this case, the script rolls back to the previous working iptables rules after the timeout expires. Successfully applied rules can also be written to savefile and later used to roll back to this state. This can be used to implement a store last good configuration mechanism when experimenting with an iptables setup script: $PROGNAME -w $DEF_SAVEFILE -c $DEF_RUNCMD When called as ip6tables-apply, the script will use ip6tables-save/-restore and IPv6 default values instead. Default value for rulesfile is '$DEF_RULESFILE'. Options: -t seconds, --timeout seconds Specify the timeout in seconds (default: $DEF_TIMEOUT). -w savefile, --write savefile Specify the savefile where successfully applied rules will be written to (default if empty string is given: $DEF_SAVEFILE). -c runcmd, --command runcmd Run command runcmd to configure iptables instead of applying a rulesfile (default: $DEF_RUNCMD). -h, --help Display this help text. -V, --version Display version information. __EOF__ } function checkcommands() { for cmd in "${COMMANDS[@]}"; do if ! command -v "$cmd" >/dev/null; then echo "Error: needed command not found: $cmd" >&2 exit 127 fi done } function revertrules() { echo -n "Reverting to old iptables rules... " "$RESTORE" <"$TMPFILE" echo "done." } ### Parsing and checking parameters TIMEOUT="$DEF_TIMEOUT" SAVEFILE="" SHORTOPTS="t:w:chV"; LONGOPTS="timeout:,write:,command,help,version"; OPTS=$(getopt -s bash -o "$SHORTOPTS" -l "$LONGOPTS" -n "$PROGNAME" -- "$@") || exit $? for opt in $OPTS; do case "$opt" in (-*) unset OPT_STATE ;; (*) case "${OPT_STATE:-}" in (SET_TIMEOUT) eval TIMEOUT=$opt;; (SET_SAVEFILE) eval SAVEFILE=$opt [ -z "$SAVEFILE" ] && SAVEFILE="$DEF_SAVEFILE" ;; esac ;; esac case "$opt" in (-t|--timeout) OPT_STATE="SET_TIMEOUT";; (-w|--write) OPT_STATE="SET_SAVEFILE";; (-c|--command) MODE=1;; (-h|--help) usage >&2; exit 0;; (-V|--version) about >&2; exit 0;; (--) break;; esac shift done # Validate parameters if [ "$TIMEOUT" -ge 0 ] 2>/dev/null; then TIMEOUT=$(($TIMEOUT)) else echo "Error: timeout must be a positive number" >&2 exit 1 fi if [ -n "$SAVEFILE" -a -e "$SAVEFILE" -a ! -w "$SAVEFILE" ]; then echo "Error: savefile not writable: $SAVEFILE" >&2 exit 8 fi case "$MODE" in (1) # Treat parameter as runcmd (run command mode) RUNCMD="${1:-$DEF_RUNCMD}" if [ ! -x "$RUNCMD" ]; then echo "Error: runcmd not executable: $RUNCMD" >&2 exit 6 fi # Needed commands COMMANDS=(mktemp "$SAVE" "$RESTORE" "$RUNCMD") checkcommands ;; (*) # Treat parameter as rulesfile (apply rulesfile mode) RULESFILE="${1:-$DEF_RULESFILE}"; if [ ! -r "$RULESFILE" ]; then echo "Error: rulesfile not readable: $RULESFILE" >&2 exit 2 fi # Needed commands COMMANDS=(mktemp "$SAVE" "$RESTORE") checkcommands ;; esac ### Begin work # Store old iptables rules to temporary file TMPFILE=`mktemp /tmp/$PROGNAME-XXXXXXXX` trap "rm -f $TMPFILE" EXIT 1 2 3 4 5 6 7 8 10 11 12 13 14 15 if ! "$SAVE" >"$TMPFILE"; then # An error occured if ! grep -q ipt /proc/modules 2>/dev/null; then echo "Error: iptables support lacking from the kernel" >&2 exit 3 else echo "Error: unknown error saving old iptables rules: $TMPFILE" >&2 exit 4 fi fi # Legacy to stop the fail2ban daemon if present [ -x /etc/init.d/fail2ban ] && /etc/init.d/fail2ban stop # Configure iptables case "$MODE" in (1) # Run command in background and kill it if it times out echo -n "Running command '$RUNCMD'... " "$RUNCMD" & CMD_PID=$! ( sleep "$TIMEOUT"; kill "$CMD_PID" 2>/dev/null; exit 0 ) & CMDTIMEOUT_PID=$! if ! wait "$CMD_PID"; then echo "failed." echo "Error: unknown error running command: $RUNCMD" >&2 revertrules exit 7 else echo "done." fi ;; (*) # Apply iptables rulesfile echo -n "Applying new iptables rules from '$RULESFILE'... " if ! "$RESTORE" <"$RULESFILE"; then echo "failed." echo "Error: unknown error applying new iptables rules: $RULESFILE" >&2 revertrules exit 5 else echo "done." fi ;; esac # Prompt user for confirmation echo -n "Can you establish NEW connections to the machine? (y/N) " read -n1 -t "$TIMEOUT" ret 2>&1 || : case "${ret:-}" in (y*|Y*) # Success echo if [ ! -z "$SAVEFILE" ]; then # Write successfully applied rules to the savefile echo "Writing successfully applied rules to '$SAVEFILE'..." if ! "$SAVE" >"$SAVEFILE"; then echo "Error: unknown error writing successfully applied rules: $SAVEFILE" >&2 exit 9 fi fi echo "... then my job is done. See you next time." ;; (*) # Failed echo if [ -z "${ret:-}" ]; then echo "Timeout! Something happened (or did not). Better play it safe..." else echo "No affirmative response! Better play it safe..." fi revertrules exit 255 ;; esac # Legacy to start the fail2ban daemon again [ -x /etc/init.d/fail2ban ] && /etc/init.d/fail2ban start exit 0 # vim:noet:sw=8